Skip to main content
GET
/
packages
/
{package_id}
/
fee
Get package fee configuration
curl --request GET \
  --url https://api.swoogo.com/api/v1/packages/{package_id}/fee
{
  "id": 124,
  "package_id": 2,
  "price": "20.00",
  "conditional_prices": {
    "76": "10.00",
    "77": "5.00"
  }
}

Path Parameters

package_id
integer
required

The unique identifier of the package

Required range: x >= 1

Response

Package fee configuration retrieved successfully

id
integer
required

The unique identifier of the fee

Example:

124

package_id
integer
required

The package ID this fee belongs to

Example:

2

price
string<decimal>
required

The base price for the session/package

Example:

"20.00"

conditional_prices
object
required

Conditional pricing based on registration field selections

Example:
{ "76": "10.00", "77": "5.00" }
session_id
integer

The session ID (only present for session fees)

Example:

73